ServiceNowRestDataProvider::ServiceNowRestDataProviderFactory Class Reference

The ServiceNowRest data provider factory. More...

Inherits DataProvider::AbstractDataProviderFactory.

## Public Member Functions

Class | getClass ()
| Returns the class for the data provider object.
hash< DataProvider::DataProviderInfo > | getInfo ()
| Returns static provider information. More...
string | getName ()
| Returns the name of the data provider factory.

## Detailed Description

The ServiceNowRest data provider factory.

## Member Function Documentation

## getInfo()

hash<DataProvider::DataProviderInfo> ServiceNowRestDataProvider::ServiceNowRestDataProviderFactory::getInfo | ( |  | ) |

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes